//-------------------------------------------------------//
// Author:Rodolfo Machon
// Company:WebSoft, SA de CV 
// Nombre del archivo: cambiar_contrasena.js
// Created: 2016-09-01
// Updates: 2016-09-01,2022-08-12
// Copyright - All Rights Reserved
//-------------------------------------------------------//
//-------------------------------------------------------//

//-------------------------------------------------------//
window.onload = function(){
	window.resizeTo(450,350); 
    getDepartamento();
};
//-------------------------------------------------------//
function getDepartamento(){
	let url = "/pl/get_user.pl";
	let r = new XMLHttpRequest();
	r.open("GET",url, true);
	r.send();
	r.onreadystatechange = function () {
		if (r.readyState != 4 || r.status != 200) return;
		let datos = r.responseText.split("|");
        document.form.v64_elabora.value=datos[0];
        document.form.i8_user_id.value=datos[1];        
	};
}
function actualizarPwd(){
    let userId  = document.form.i8_user_id.value;
    let pwd     = document.form.contrasena.value;
    let pwdN    = document.form.contrasenaNueva.value;
    let pwdNc   = document.form.contrasenaConfirmar.value;
    if(pwdN!=pwdNc){
        alert("El nuevos password y su confirmacion no coinciden. Verifique la informacion ingresada.");
    }    
	let url = "/pl/cambio_pwd.pl?i8_user_id="+userId+"&contrasena="+pwd+"&contrasenaNueva="+pwdN+"&contrasenaConfirmar="+pwdNc;
	let r = new XMLHttpRequest();
	r.open("GET",url, true);
	r.send();
	r.onreadystatechange = function () {
		if (r.readyState != 4 || r.status != 200) return;
        actualizarPwdFile();
	};
}
function actualizarPwdFile(){
    let userId = document.form.i8_user_id.value;
    let clase = "users";    
	let url = "/pl/pwd_update.pl?id="+userId+"&clase="+clase;
	let r = new XMLHttpRequest();
	r.open("GET",url, true);
	r.send();
	r.onreadystatechange = function () {
		if (r.readyState != 4 || r.status != 200) return;
        opener.location.reload();
        close();
	};
}
//-------------------------------------------------------//
// Auxiliar